Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.hosts
Class DialogKnownHostsKeyVerification

    java.lang.Object
      com.sshtools.j2ssh.transport.AbstractKnownHostsKeyVerification
          com.sshtools.common.hosts.DialogKnownHostsKeyVerification

All Implemented Interfaces:
  HostKeyVerification

public class DialogKnownHostsKeyVerification
extends AbstractKnownHostsKeyVerification

DOCUMENT ME!

Constructor Summary
`DialogKnownHostsKeyVerification(java.awt.Component parent)` Creates a new DialogKnownHostsKeyVerification object.
`DialogKnownHostsKeyVerification(java.awt.Component parent, java.lang.String hostFileName)` Creates a new DialogKnownHostsKeyVerification object.

Method Summary
`void` | `onDeniedHost(java.lang.String host)` DOCUMENT ME!
`void` | `onHostKeyMismatch(java.lang.String host, SshPublicKey recorded, SshPublicKey actual)` DOCUMENT ME!
`void` | `onUnknownHost(java.lang.String host, SshPublicKey key)` DOCUMENT ME!
`void` | `setVerificationEnabled(boolean enabled)` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.transport.AbstractKnownHostsKeyVerification
`allowedHosts, allowHost, isHostFileWriteable, removeAllowedHost, saveHostFile, toString, verifyHost`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DialogKnownHostsKeyVerification

    public DialogKnownHostsKeyVerification(java.awt.Component parent)
                                    throws InvalidHostFileException

  Creates a new DialogKnownHostsKeyVerification object.

Parameters:
  `parent` - DOCUMENT ME!
Throws:
  `InvalidHostFileException` - DOCUMENT ME!

### DialogKnownHostsKeyVerification

    public DialogKnownHostsKeyVerification(java.awt.Component parent,
                                           java.lang.String hostFileName)
                                    throws InvalidHostFileException

  Creates a new DialogKnownHostsKeyVerification object.

Parameters:
  `parent` - DOCUMENT ME!
  `hostFileName` - DOCUMENT ME!
Throws:
  `InvalidHostFileException` - DOCUMENT ME!

Method Detail

### setVerificationEnabled

    public void setVerificationEnabled(boolean enabled)

  DOCUMENT ME!

  Parameters:
    `enabled` - DOCUMENT ME!

### onDeniedHost

    public void onDeniedHost(java.lang.String host)
                      throws TransportProtocolException

  DOCUMENT ME!

  Parameters:
    `host` - DOCUMENT ME!
  Throws:
    `TransportProtocolException` - DOCUMENT ME!

### onHostKeyMismatch

    public void onHostKeyMismatch(java.lang.String host,
                                  SshPublicKey recorded,
                                  SshPublicKey actual)
                           throws TransportProtocolException

  DOCUMENT ME!

  Specified by:
    `onHostKeyMismatch` in class `AbstractKnownHostsKeyVerification`
  Parameters:
    `host` - DOCUMENT ME!
    `recorded` - DOCUMENT ME!
    `actual` - DOCUMENT ME!
  Throws:
    `TransportProtocolException` - DOCUMENT ME!

### onUnknownHost

    public void onUnknownHost(java.lang.String host,
                              SshPublicKey key)
                       throws TransportProtocolException

  DOCUMENT ME!

  Specified by:
    `onUnknownHost` in class `AbstractKnownHostsKeyVerification`
  Parameters:
    `host` - DOCUMENT ME!
    `key` - DOCUMENT ME!
  Throws:
    `TransportProtocolException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD